# $Revision: 1.86 $, $Date: 2012/05/22 16:22:32 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
%define 	glib_ver 1:2.32.0
%define		libsig_ver 1:2.2.10
Summary:	A C++ interface for glib library
Summary(pl.UTF-8):	Interfejs C++ dla biblioteki glib
Name:		glibmm
Version:	2.32.0
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glibmm/2.32/%{name}-%{version}.tar.xz
# Source0-md5:	6be829ac2830ff44f75526f015c930e1
URL:		http://www.gtkmm.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	glib2-devel >= %{glib_ver}
BuildRequires:	libsigc++-devel >= %{libsig_ver}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.0
BuildRequires:	m4
BuildRequires:	mm-common >= 0.9.5
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= %{glib_ver}
Requires:	libsigc++ >= %{libsig_ver}
Obsoletes:	gtkmm-glib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A C++ interface for glib library.

%description -l pl.UTF-8
Interfejs C++ dla biblioteki glib.

%package devel
Summary:	Header files for glibmm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki glibmm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= %{glib_ver}
Requires:	libsigc++-devel >= %{libsig_ver}
Requires:	libstdc++-devel
Obsoletes:	gtkmm-glib-devel

%description devel
Header files for glibmm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki glibmm.

%package static
Summary:	Static glibmm library
Summary(pl.UTF-8):	Statyczna biblioteka glibmm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	gtkmm-glib-static

%description static
Static glibmm library.

%description static -l pl.UTF-8
Statyczna biblioteka glibmm.

%package apidocs
Summary:	Reference documentation for glibmm
Summary(pl.UTF-8):	Szczegółowa dokumentacja dla glibmm
Group:		Documentation
Requires:	gtk-doc-common
Provides:	glibmm-doc
Obsoletes:	glibmm-doc

%description apidocs
Reference documentation for glibmm.

%description apidocs -l pl.UTF-8
Szczegółowa dokumentacja dla glibmm.

%package examples
Summary:	Examples for glibmm
Summary(pl.UTF-8):	Przykłady dla glibmm
Group:		Development/Libraries

%description examples
Examples for glibmm.

%description examples -l pl.UTF-8
Przykłady dla glibmm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdocdir=%{_gtkdocdir}/%{name}-2.4 \
	devhelpdir=%{_gtkdocdir}/%{name}-2.4

cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{__rm} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/Makefile* \
	$RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgiomm-2.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgiomm-2.4.so.1
%attr(755,root,root) %{_libdir}/libglibmm-2.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglibmm-2.4.so.1
%attr(755,root,root) %{_libdir}/libglibmm_generate_extra_defs-2.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglibmm_generate_extra_defs-2.4.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgiomm-2.4.so
%attr(755,root,root) %{_libdir}/libglibmm-2.4.so
%attr(755,root,root) %{_libdir}/libglibmm_generate_extra_defs-2.4.so
%dir %{_libdir}/giomm-2.4
%{_libdir}/giomm-2.4/include
%dir %{_libdir}/glibmm-2.4
%{_libdir}/glibmm-2.4/include
%dir %{_libdir}/glibmm-2.4/proc
%{_libdir}/glibmm-2.4/proc/m4
%{_libdir}/glibmm-2.4/proc/pm
%attr(755,root,root) %{_libdir}/glibmm-2.4/proc/generate_wrap_init.pl
%attr(755,root,root) %{_libdir}/glibmm-2.4/proc/gmmproc
%{_includedir}/giomm-2.4
%{_includedir}/glibmm-2.4
%{_pkgconfigdir}/giomm-2.4.pc
%{_pkgconfigdir}/glibmm-2.4.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgiomm-2.4.a
%{_libdir}/libglibmm-2.4.a
%{_libdir}/libglibmm_generate_extra_defs-2.4.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/glibmm-2.4

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glibmm.spec,v $
Revision 1.86  2012/05/22 16:22:32  qboosh
- updated to 2.32.0

Revision 1.85  2011/11/25 20:29:17  qboosh
- updated to 2.30.1

Revision 1.84  2011/11/25 20:03:26  qboosh
- restored 2.30.0 on HEAD; 2.31.0 moved to DEVEL branch

Revision 1.82  2011/09/30 15:46:01  wiget
- up to 2.30.0

Revision 1.81  2011/06/15 15:06:07  kiesiu
- updated to 2.28.2

Revision 1.80  2011/05/10 15:12:22  qboosh
- updated to 2.28.1

Revision 1.79  2011/05/01 18:09:08  qboosh
- BR: m4 (directly, regardless of autoconf)

Revision 1.78  2011/04/09 10:45:52  megabajt
- updated Source0-md5

Revision 1.77  2011/04/09 10:44:11  megabajt
- updated to 2.28.0

Revision 1.76.2.3  2011/03/24 11:08:21  wiget
- up to 2.27.99

Revision 1.76.2.2  2011/03/23 10:29:50  wiget
- BR/R update

Revision 1.76.2.1  2011/03/23 10:26:36  wiget
- up to 2.27.97
- use %{__rm} macro
- drop libtool files

Revision 1.76  2010/09/18 18:00:08  qboosh
- zlib is glib dependency

Revision 1.75  2010/05/14 15:11:47  megabajt
- updated to 2.24.2

Revision 1.74  2010/04/16 18:09:04  megabajt
- updated to 2.24.1

Revision 1.73  2010/04/06 14:29:25  sparky
- BR: zlib-devel
- dropped BR: perl-XML-Parser

Revision 1.72  2010/04/01 13:21:47  megabajt
- updated to 2.24.0

Revision 1.71  2009/12/21 13:35:55  megabajt
- updated to 2.22.1

Revision 1.70  2009/04/11 18:15:39  qboosh
- updated to 2.20.0

Revision 1.69  2008/11/15 06:57:56  qboosh
- updated URL

Revision 1.68  2008/10/21 17:34:58  megabajt
- updated to 2.18.1

Revision 1.67  2008/10/13 14:55:19  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.66  2008/07/09 21:58:32  qboosh
- updated install time glib2 dep

Revision 1.65  2008/07/06 10:13:54  megabajt
- updated to 2.16.4

Revision 1.59.2.4  2008/06/18 11:48:49  patrys
- remerged from HEAD
- 2.17.0

Revision 1.59.2.3  2008/03/03 23:24:27  megabajt
- updated to 2.15.8

Revision 1.59.2.2  2008-02-12 20:38:12  megabajt
- updated to 2.15.5

Revision 1.59.2.1  2007-12-30 22:49:57  megabajt
- updated to 2.15.0

Revision 1.64  2008/05/01 19:00:03  wrobell
- and again changelog corrected (fuck)

Revision 1.63  2008-05-01 18:59:33  wrobell
- changelog corrected

Revision 1.62  2008-05-01 18:54:41  wrobell
- ver. 2.16.2

Revision 1.61  2008-04-16 21:37:28  sls
- ver. 2.16.1

Revision 1.60  2008-03-15 12:45:11  qboosh
- updated to 2.16.0

Revision 1.59  2007-10-24 12:58:31  megabajt
- updated to 2.14.2

Revision 1.58  2007/10/05 14:12:29  megabajt
- updated to 2.14.1

Revision 1.57  2007/09/13 18:45:38  qboosh
- LGPL v2+

Revision 1.56  2007/09/13 15:32:18  megabajt
- updated to 2.14.0

Revision 1.55  2007/06/10 16:12:23  megabajt
- updated to 2.12.10

Revision 1.54  2007/05/02 14:55:46  megabajt
- updated to 2.12.9

Revision 1.53  2007/04/27 19:35:13  megabajt
- unified: s/doc/apidocs/ for API documentation
- added examples subpackage
- release 2

Revision 1.52  2007/04/17 08:01:33  megabajt
- updated to 2.12.8

Revision 1.51  2007/03/04 12:06:59  megabajt
- updated to 2.12.7

Revision 1.50  2007/02/15 18:21:54  megabajt
- updated to 2.12.6

Revision 1.49  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.48  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.47  2007/01/29 16:08:35  megabajt
- 2.12.5

Revision 1.46  2006/12/28 19:50:41  megabajt
- up to 2.12.4

Revision 1.45  2006/11/21 18:48:22  megabajt
- up to 2.12.3

Revision 1.44  2006/10/04 20:48:57  grzegol
- 2.12.2

Revision 1.43  2006/09/22 20:55:58  grzegol
- 2.12.1

Revision 1.42  2006/08/18 14:17:41  freetz
- 2.12.0, updated deps

Revision 1.41  2006/07/24 18:13:38  freetz
- 2.11.3, removed LDFLAGS

Revision 1.40  2006/07/19 16:20:45  freetz
- 2.11.2

Revision 1.39  2006/07/16 09:46:15  freetz
- rel.2, updated deps, --as-needed support

Revision 1.38  2006/06/11 06:48:11  freetz
- 2.10.4, GNOME 2.15.x deps

Revision 1.37  2006/05/24 08:49:59  qboosh
- merged update to 2.10.3 and deps update from AC-branch

Revision 1.32.4.3  2006/05/19 15:52:15  freetz
- 2.10.3 (fixes serious regression from 2.10.2)

Revision 1.32.4.2  2006/05/18 20:37:56  baggins
- release 2
- strict reqs

Revision 1.32.4.1  2006/05/15 13:11:17  baggins
- merged from HEAD

Revision 1.36  2006/05/15 16:52:28  freetz
- 2.10.2

Revision 1.35  2006/04/14 15:09:44  freetz
- merged from DEVEL and updated to 2.10.1

Revision 1.32.2.2  2006/03/08 22:54:43  freetz
- 2.10.0

Revision 1.32.2.1  2006/01/29 11:09:22  freetz
- 2.9.1

Revision 1.34  2006/03/05 00:32:51  qboosh
- updated required glib2 version, simplified static_libs bcond

Revision 1.33  2006/02/03 22:26:24  qboosh
- updated to 2.8.4

Revision 1.32  2005/12/16 10:33:45  freetz
- 2.8.3

Revision 1.31  2005/10/21 06:51:34  freetz
- 2.8.1

Revision 1.30  2005/09/07 16:44:14  freetz
- merged from DEVEL and updated to 2.8.0

Revision 1.29.2.2  2005/08/18 16:59:47  paladine
- updated to 2.7.3

Revision 1.29.2.1  2005/07/11 12:27:01  freetz
- 2.7.1
